##
##  antiword.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         antiword
Summary:      Microsoft Word to ASCII/PostScript converter
URL:          http://www.winfield.demon.nl/index.html
Vendor:       Adri van Os
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Converter
License:      GPL
Version:      0.33
Release:      20020711

#   list of sources
Source0:      http://www.winfield.demon.nl/linux/antiword-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Converts Microsoft Word documents to plain ASCII or PostScript documents.

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;".antiword";"antiword";g' \
        antiword.h
    %{l_shtool} subst \
        -e 's;const char.*szHome;const char *szHome = "%{l_prefix}/share";g' \
        fonts_u.c options.c
    %{l_shtool} subst \
        -e 's;szHome = szGetHomeDirectory()\;;;g' \
        fonts_u.c options.c
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    %{l_make} %{l_mflags -O} antiword

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/share/antiword
    %{l_shtool} install -c -m 755 antiword $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -m 644 Docs/antiword.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 644 Resources/* $RPM_BUILD_ROOT%{l_prefix}/share/antiword
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

